API to bulk update products (price, availability, collections, delete)
http
POST https://services.leadconnectorhq.com/products/bulk-updateAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | Possible values: 'account' | |
type | string | Yes | bulk-update-price | Type of bulk update operation Possible values: 'bulk-update-price', 'bulk-update-availability', 'bulk-update-product-collection', 'bulk-delete-products', 'bulk-update-currency' |
productIds | string[] | Yes | Array of product IDs | |
filters | object | No | Filters to apply when selectAll is true | |
price | object | No | Price update configuration | |
compareAtPrice | object | No | Compare at price update configuration | |
availability | boolean | No | New availability status | |
collectionIds | string[] | No | Array of collection IDs | |
currency | string | No | USD | Currency code |
Responses
201 - Products updated successfully
status(boolean, required): Status of api action Example:Truemessage(string): Success message Example:Successfully created
json
{
"status": true,
"message": "Successfully created"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/products/bulk-update' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"type": "bulk-update-price",
"productIds": [
"5f8d0d55b54764421b7156c1"
],
"availability": true,
"collectionIds": [
"string"
],
"currency": "USD"
}'const response = await fetch('https://services.leadconnectorhq.com/products/bulk-update', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "type": "bulk-update-price", "productIds": ["5f8d0d55b54764421b7156c1"], "availability": true, "collectionIds": ["string"], "currency": "USD"}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/products/bulk-update',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "type": "bulk-update-price", "productIds": ["5f8d0d55b54764421b7156c1"], "availability": true, "collectionIds": ["string"], "currency": "USD"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/bulk-update');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'type': 'bulk-update-price', 'productIds': ['5f8d0d55b54764421b7156c1'], 'availability': true, 'collectionIds': ['string'], 'currency': 'USD'}),
]);
$data = json_decode(curl_exec($ch), true);